## net.sourceforge.pmd.cpd
Class Match

    java.lang.Object
      net.sourceforge.pmd.cpd.Match

All Implemented Interfaces:
  java.lang.Comparable

public class Match
extends java.lang.Object
implements java.lang.Comparable

Nested Class Summary
`static class` `Match.MatchCode`

Constructor Summary
`Match(int tokenCount, TokenEntry first, TokenEntry second)`

Method Summary
`int` `compareTo(java.lang.Object o)`
`int` `getEndIndex()`
`TokenEntry` `getFirstMark()`
`int` `getLineCount()`
`int` `getMarkCount()`
`java.util.Set` `getMarkSet()`
`Match.MatchCode` `getMatchCode()`
`TokenEntry` `getSecondMark()`
`java.lang.String` `getSourceCodeSlice()`
`int` `getTokenCount()`
`java.util.Iterator` `iterator()`
`void` `setLineCount(int lineCount)`
`void` `setMarkSet(java.util.Set markSet)`
`void` `setSourceCodeSlice(java.lang.String code)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Match

    public Match(int tokenCount,
                 TokenEntry first,
                 TokenEntry second)

Method Detail

### getMarkCount

    public int getMarkCount()

### setLineCount

    public void setLineCount(int lineCount)

### getLineCount

    public int getLineCount()

### getTokenCount

    public int getTokenCount()

### getSourceCodeSlice

    public java.lang.String getSourceCodeSlice()

### setSourceCodeSlice

    public void setSourceCodeSlice(java.lang.String code)

### iterator

    public java.util.Iterator iterator()

### compareTo

    public int compareTo(java.lang.Object o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

### getFirstMark

    public TokenEntry getFirstMark()

### getSecondMark

    public TokenEntry getSecondMark()

### toString

    public java.lang.String toString()

### getMarkSet

    public java.util.Set getMarkSet()

### getMatchCode

    public Match.MatchCode getMatchCode()

### getEndIndex

    public int getEndIndex()

### setMarkSet

    public void setMarkSet(java.util.Set markSet)

Copyright © 2002-2006 InfoEther. All Rights Reserved.